/*
 * sd_card.h
 *
 *  Created on: Feb 2, 2015
 *      Author: umahmood
 */

#ifndef SD_CARD_H_
#define SD_CARD_H_


int sdCardInit(void);
int sdCardWrite(char *file, char *textToSave);
int sdCardCat(char *file);
int sdCardPWD();
int sdCardCD(char *directory);
int sdCardLS(char *path);


int sdCardPWD();
void lsUnitTest();
void pwdUnitTest();
void writeUnitTest();
void catUnitTest();
void cdUnitTest();
int sdCardCatFlash(char *file);

#endif /* SD_CARD_H_ */
